#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	vala		# Vala API
#
Summary:	Library for building UPnP A/V applications
Summary(pl.UTF-8):	Biblioteka do budowania aplikacji UPnP A/V
Name:		gupnp-av
# note: 0.12.x is stable, 0.13.x unstable
Version:	0.12.6
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gupnp-av/0.12/%{name}-%{version}.tar.xz
# Source0-md5:	f56cdb269376a9e6cb062eb9960ccf57
URL:		http://gupnp.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gobject-introspection-devel >= 1.36.0
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	gupnp-devel >= 0.19.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.20}
%{?with_vala:BuildRequires:	vala-gupnp >= 0.19.0}
BuildRequires:	xz
Requires:	gupnp >= 0.19.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gupnp-av is a small library that aims to easy the handling and
implementation of UPnP A/V profiles.

%description -l pl.UTF-8
gupnp-av jest małą biblioteką, której celem jest uproszczenie obsługi
i implementacji profili UPnP A/V.

%package devel
Summary:	Header files for gupnp-av library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gupnp-av
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.0
Requires:	gupnp-devel >= 0.19.0
Requires:	libxml2-devel >= 2.0

%description devel
Header files for gupnp-av library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gupnp-av.

%package static
Summary:	Static gupnp-av library
Summary(pl.UTF-8):	Statyczna biblioteka gupnp-av
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gupnp-av library.

%description static -l pl.UTF-8
Statyczna biblioteka gupnp-av.

%package apidocs
Summary:	gupnp-av library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gupnp-av
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API and internal documentation for gupnp-av library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gupnp-av.

%package -n vala-gupnp-av
Summary:	Vala API for gupnp-av library
Summary(pl.UTF-8):	API języka Vala dla biblioteki gupnp-av
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.20
Requires:	vala-gupnp >= 0.19.0

%description -n vala-gupnp-av
Vala API for gupnp-av library.

%description -n vala-gupnp-av -l pl.UTF-8
API języka Vala dla biblioteki gupnp-av.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_apidocs:--enable-gtk-doc} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgupnp-av-1.0.la

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgupnp-av-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgupnp-av-1.0.so.2
%{_libdir}/girepository-1.0/GUPnPAV-1.0.typelib
%{_datadir}/gupnp-av

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgupnp-av-1.0.so
%{_datadir}/gir-1.0/GUPnPAV-1.0.gir
%{_includedir}/gupnp-av-1.0
%{_pkgconfigdir}/gupnp-av-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgupnp-av-1.0.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gupnp-av
%endif

%if %{with vala}
%files -n vala-gupnp-av
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gupnp-av-1.0.deps
%{_datadir}/vala/vapi/gupnp-av-1.0.vapi
%endif
%changelog
* Wed Jun 11 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gupnp-av.git;a=log;h=master

* Wed Jun 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 5dbb929
- updated to 0.12.6

* Fri Feb 07 2014 Jakub Bogusz <qboosh@pld-linux.org> eb2cab7
- updated to 0.12.5

* Tue Nov 19 2013 Jakub Bogusz <qboosh@pld-linux.org> d92003d
- updated to 0.12.4

* Sat Oct 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 82f9264
- updated to 0.12.3

* Sun Jun 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 9e68167
- updated to 0.12.2

* Tue Mar 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 814e739
- updated to 0.12.1

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 2eaffb3
- build with vala requires vala-gupnp

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 5cd7d54
- updated to 0.12.0

* Sat Sep 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> b09708e
- updated to 0.10.3

* Mon May 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 6f490be
- updated ac/am/lt version/epoch

* Mon May 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> c1bc455
- updated to 0.10.2
- updated BRs

* Sat Oct 29 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2d2b8f4
- updated to 0.10.1

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 7bd1b7d
- updated to 0.8.0
- dropped .la file (following gupnp)

* Sat Feb 05 2011 Jakub Bogusz <qboosh@pld-linux.org> b064378
- updated to 0.6.3

* Sun Oct 31 2010 Marcin Banasiak <marcin.banasiak@gmail.com> f88dabe
- updated to 0.6.2

* Sun Jun 20 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ef283bd
- BR: gssdp-devel >= 0.7.2
- release 2

* Sun Jun 20 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ca8015b
- BR: gupnp-devel >= 0.13.4

* Sun Jun 20 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a26039f
- updated to 0.5.6

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> 9440235
- BR: docbook-dtd412-xml

* Wed Mar 24 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 18ae08c
- updated to 0.5.4

